PDA

View Full Version : [lubuntu] Synaptic Package Manager not working after upgrade to from 16.04 LTS to 18.04 LTS



FourFourSeven
September 18th, 2018, 02:40 PM
Like it says in the title, I upgraded Lubuntu from 16.04 LTS to 18.04 LTS. Now, Synaptic Pkg. Mgr. doesn't work from the GUI.
But oddly enough, it will work from the command terminal (with sudo, of course).

Any ideas?

Adam_GUI
September 18th, 2018, 03:21 PM
Are you trying to launch Synaptic with gksu synaptic or synaptic-pkexec?

FourFourSeven
September 19th, 2018, 04:58 AM
According to the icon, it's synaptic-pkexec

Adam_GUI
September 19th, 2018, 12:42 PM
Hmm... Are you running Gnome?

https://ubuntuforums.org/showthread.php?t=2401518 This thread may be related.
I could swear I've seen more than that of users posting issues with launchers not working.

Possibly a Gnome issue?

I mean... If you can launch Synaptic from term and it run, but not from the launcher, it looks related to me.

FourFourSeven
September 19th, 2018, 07:34 PM
Yeah, I noticed that, too. I wasn't *entirely* certain if they were related, so I posted anyway to see whether or not it was specific to Synaptic, or if simply any program was affected (according to the alignment of the planets)

Adam_GUI
September 20th, 2018, 06:48 PM
I found a Fedora user with similar problems here:
https://ask.fedoraproject.org/en/question/89877/gnome-apps-launchers-not-working/

The marked fix on the page is:

Got it solved by editing /etc/gdm/custom.conf and uncommenting the #WaylandEnable=false line.

Looks like a fix to GDM. May be no good of you've got LightDM. Is there an option to disable Wayland on your login screen?

FourFourSeven
September 22nd, 2018, 12:33 PM
I don't think I have Wayland at all. I checked Synaptic (by running via CLI, of course) and saw that it wasn't installed. I do have LightDM, however.
Plus, I don't have /etc/gdm/custom.conf